Subject: Re: [multipathtcp] Finishing RFC6824bis

From: Christoph Paasch <[email-masked]>
Date: Sun, 04 Mar 2018 23:13:13 -0800

Hello Phil,

On 22/02/18 - 08:21:50, [email-masked] wrote:
> Christoph,
> Thanks for working on it.
> Re MP-FASTCLOSE - this is based on the thread at https://mailarchive.ietf.org/arch/msg/multipathtcp/fI2cgcRxttl20HyRs_QkDgXT9cM  This didn't reach a definitive conclusion in favour, but there were no objections. If anyone objects, please shout (I suggest the default is to add this text)
> Re TFO - this is about the interactions of TFO & MPTCP as described at https://www.ietf.org/proceedings/99/slides/slides-99-mptcp-sessb-mptcp-tfo-00.pdf and in the related draft. This was agreed earlier (26 July 2017 email) in principle, people should check the exact text.
> Referring back to this earlier email (26 july)
> 
> >>3. There was a suggestion, arising from the hackathon, to discuss on the list whether clarifications or extra 'reason codes' would be useful in the context of reset option. Quentin (& others), please make a proposal.
> 
> Suggest we drop this, unless there's proposed text in this next version (before ietf)

sounds good to me.

> Also, << Implementers - implement SHA-256. As I understand it, this is the only part of the bis for which we don't have at least one implementation. Is there any timescale for implementing this?  I was wondering if there was an update or plans about this. Alternatively, we may decide it's ok to go ahead with last call without an implementation for this aspect.>>
> I'm assuming you haven't had time to implement this

Yes, I didn't had the time yet to implement this.

Christoph

> Best wishes,
> phil
> 
> From: [email-masked] [mailto:[email-masked]]
> Sent: 18 February 2018 22:08
> To: Eardley,PL,Philip,TUD1 R <[email-masked]>
> Cc: MultiPath TCP - IETF WG <[email-masked]>
> Subject: Re: [multipathtcp] Finishing RFC6824bis
> 
> Hello Phil & all,
> 
> to simplify collaboration, we are now hosting the draft on github at https://github.com/multipath-tcp/draft-ietf-mptcp-rfc6824bis.
> People can submit pull-requests and issue-reports there.
> 
> We added the text for TFO and Olivier's MP_FASTCLOSE proposal, and will release a new version of the draft soon, before the deadline for IETF 101.
> 
> 
> Cheers,
> Christoph
> 
> 
> 
> On Jan 30, 2018, at 12:54 AM, [email-masked]<mailto:[email-masked]> wrote:
> 
> Yes, please can you provide text as soon as possible. It was agreed to add text back in July.....
> 
> -----Original Message-----
> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
> Sent: 30 January 2018 06:45
> To: Eardley,PL,Philip,TUD1 R <[email-masked]<mailto:[email-masked]>>
> Cc: [email-masked]<mailto:[email-masked]>
> Subject: Re: [multipathtcp] Finishing RFC6824bis
> 
> On 29/01/18 - 13:42:48, [email-masked]<mailto:[email-masked]> wrote:
> 
> Hi,
> Is there any news or plans about the list of items to finalise the bis?
> 
> Currently, there isn't yet an implementation of SHA-256. I will see what I can do (if someone wants to give it a shot, that would be great! Code is at https://multipath-tcp.org :-)).
> 
> 
> Also, the bis needs re-activating, as the draft is about to expire
> 
> We posted an update of draft-barre-mptcp-tfo-02 a few months back. Could we integrate this in the bis before we finalize it? I can provide the text for it.
> 
> 
> Christoph
> 
> 
> 
> Thanks
> phil
> 
> 
> From: multipathtcp [mailto:[email-masked]] On Behalf Of
> [email-masked]<mailto:[email-masked]>
> Sent: 23 October 2017 09:52
> To: [email-masked]<mailto:[email-masked]>
> Subject: Re: [multipathtcp] Finishing RFC6824bis
> 
> Hi,
> << Implementers - implement SHA-256. As I understand it, this is the
> only part of the bis for which we don't have at least one implementation. Is there any timescale for implementing this?>> I was wondering if there was an update or plans about this. Alternatively, we may decide it's ok to go ahead with last call without an implementation for this aspect.
> Thanks
> phil
> From: Eardley,PL,Philip,TUD1 R
> Sent: 26 July 2017 15:46
> To: Eardley,PL,Philip,TUD1 R
> <[email-masked]<mailto:[email-masked]<mailto:[email-masked]%3cmailto:[email-masked]>>>
> Subject: Finishing RFC6824bis
> 
> We are close to finalising the bis and being able to WG Last call and send it to the IESG. Here's a list of actions. If we've forgotten anything, or anyone has another mod /addition to the bis, please say.
> 
> 1.      Make the changes agreed - see email below.
> 
> 2.      Implementers - implement SHA-256. As I understand it, this is the only part of the bis for which we don't have at least one implementation. Is there any timescale for implementing this?
> 
> 3.      Chairs /all - list of changes between RFC & bis, along with a short justification
> 
> 4.      Chairs /all - a short justification for obsoleting RFC6824
> 
> 5.      Chairs /all - List of implementations of the protocol & bis (ie a check of which parts are implemented once or also in iOS)
> Our proposed plan is that once the various parts of #1 are done, we'll do a WGLC. Items 3, 4 & 5 are things that will be useful to the IESG. Item 2 is certainly something that would be nice to have - if there'll be a significant delay implementing it, then we should discuss whether to wait, or whether it's acceptable to progress without an implementation of this part.
> Finally a reminder that the plan is that RFC6824bis advances on the
> Standards track
> 
> 
> From: Eardley,PL,Philip,TUD1 R
> Sent: 26 July 2017 08:51
> To: multipathtcp <[email-masked]<mailto:[email-masked]<mailto:[email-masked]%3cmailto:[email-masked]>>>
> Subject: Changes to RFC6824bis
> 
> Hi,
> During the discussions in Prague, we had good agreement about the
> following change to the bis. This is a change to the wire protocol.
> Please say as soon as possible if you disagree with this change,
> otherwise we'll go ahead and make this change:-
> 
> Remove address identifier from MP-PRIO, as it can be used as an attack.
> 
> Explanation at
> https://mailarchive.ietf.org/arch/msg/multipathtcp/WWWaQ3AKWEMgsBSPKc_
> R9Ct_YoI and follow up emails. The issue was briefly summarised during
> the Friday meeting in Prague - eg see the etherpad for a summary
> http://etherpad.tools.ietf.org:9000/p/notes-ietf-99-mptcp?useMonospace
> Font=true
> 
> Alan - are you ok to make this change please?
> 
> --
> 
> In addition, we agreed in principle to the following (informational) changes to the bis - exact text to be proposed.
> 
> 2. Guidance about MPTCP & TFP interactions, based on https://www.ietf.org/proceedings/99/slides/slides-99-mptcp-sessb-mptcp-tfo-00.pdf - Christoph & Olivier, please propose text.
> 
> 3. There was a suggestion, arising from the hackathon, to discuss on the list whether clarifications or extra 'reason codes' would be useful in the context of reset option. Quentin (& others), please make a proposal.
> Best wishes,
> Phil & Yoshi
> 
> 
> _______________________________________________
> multipathtcp mailing list
> [email-masked]<mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/multipathtcp
> 
>